34.48

v 14.0 Third Party 207
Live Preview
Required Apps Inventory (stock)
Point of Sale (point_of_sale)
Sales (sale_management)
Invoicing (account)
Lines of code 672
Technical Name bi_pos_stock
LicenseSee License tab
Websitehttps://www.browseinfo.in
Also available in version v 8.0 v 11.0 v 9.0 v 10.0 v 13.0 v 12.0
You bought this module and need support? Click here!
Required Apps Inventory (stock)
Point of Sale (point_of_sale)
Sales (sale_management)
Invoicing (account)
Lines of code 672
Technical Name bi_pos_stock
LicenseSee License tab
Websitehttps://www.browseinfo.in
Also available in version v 8.0 v 11.0 v 9.0 v 10.0 v 13.0 v 12.0

POS-Point of Sales Product Stock Odoo Apps

This Odoo apps is used to display stock in POS interface also the seller can select and display different type of stock like "Qty on hand", "Incoming Qty", "Outgoing Qty", "Qty Available" in POS and Allow/Deny POS sale Order when product is out of stock. You can display stock of All & Specific stock location in POS. Also Stock will be automatically sync when order get placed in Odoo POS inventory management App.

Features

Stock for POS Screen.

Seller can select and display different stock type like "Qty on hand", "Incoming Qty", "Outgoing Qty", "Qty Available" in POS.

Shows error in as per the Stock Availability.

Display of Different type of Error messages in POS interface based on stock availability.

Gives allowance as well as denial.

Seller can set the Unit, Deny order when quantity goes down to set unit. Allow/Deny POS sale Order when product is out of stock.

Display stock as per the user demand.

Show stock of all stock location and show stock of only specific stock location on POS session.

Stock of all the location in POS.

Show stock of all stock location and show stock of only specific stock location on POS session.

Sync the stock.

Stock will be automatically sync when order get placed in POS.

Once module is installed user can see new option in Point Of Sale -> Stock Configuration in POS.

In POS user can see product stock as per stock locations selected in configuration.

Display total stock of product in back-end and POS.

Displays total stock of product in pos as per the changes made can be seen.

If you select show stock location as "Specific" stock of specific stock location is display on POS.

Display stock of product by their stock location.

Display stock of product of specific stock location that select at time of configuration in POS.

Automatically update the POS quantity if pos order is created.

Stock Will be automatically Updated on POS Product Screen, no need to reload the POS Screen Everytime After you placed an Order.

Stock Quantity Validation with "All Warehouse" Configuration. If You add quantity more than available quantity in Orderline for a particular product then Stock Qty Validation will be added.

Stock Quantity Validation error will occure if the stock is lower than the deny amount.

Stock Quantity Validation error will occur if the product is out of stock and allow pos checkbox is disabled.

Stock Quantity Validation with "Current Session Warehouse" Configuration. If You add quantity more than available quantity in Current Warehouse in Orderline for a particular product then Stock Qty Validation will be added.

Stock Quantity Validation will not be applied for "Consumable" or "Service" Product. Although You Add More Qty in the Orderline, it will go to the payment screen without validation.

Apps May You Like

Most Demanded Apps

Free Support

You will get 90 Days free support incase any bugs or issue (Except data recovery).

At BrowseInfo we offer end to end solution for Odoo services. Which includes analysis & consultation on the workflows and integration part. Please note that You're not allowed to distribute this module after purchase! Incase of any question regarding this module feel free to email us on ticket@browseinfo.in or raise a ticket on support.

Odoo Proprietary License v1.0
This software and associated files (the "Software") may only be used (executed,
modified, executed after modifications) if you have purchased a valid license
from the authors, typically via Odoo Apps, or if you have received a written
agreement from the authors of the Software (see the COPYRIGHT file).
You may develop Odoo modules that use the Software as a library (typically
by depending on it, importing it and using its resources), but without copying
any source code or material from the Software. You may distribute those
modules under the license of your choice, provided that this license is
compatible with the terms of the Odoo Proprietary License (For example:
LGPL, MIT, or proprietary licenses similar to this one).
It is forbidden to publish, distribute, sublicense, or sell copies of the Software
or modified copies of the Software.
The above copyright notice and this permission notice must be included in all
copies or substantial portions of the Software.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author or have a question related to your purchase, please use the support page.
Help!!!
by
Samuel Martin Martin Quispe Valdivia
on 2/24/21, 3:18 PM

Instalado correctamente, muestra stock, pero al momento de hacer pago de la compra me arroja el siguiente erros: (voy dos dias sin respuesta y esperando)

Odoo Server Error
Traceback (most recent call last):
  File "/opt/odoo/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/opt/odoo/odoo/odoo/http.py", line 682, in dispatch
    result = self._call_function(**self.params)
  File "/opt/odoo/odoo/odoo/http.py", line 358, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/http.py", line 346, in checked_call
    result = self.endpoint(*a, **kw)
  File "/opt/odoo/odoo/odoo/http.py", line 911, in __call__
    return self.method(*args, **kw)
  File "/opt/odoo/odoo/odoo/http.py", line 530, in response_wrap
    response = f(*args, **kw)
  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1359, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1351, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/opt/odoo/odoo/odoo/api.py", line 392, in call_kw
    result = _call_kw_model(method, model, args, kwargs)
  File "/opt/odoo/odoo/odoo/api.py", line 365, in _call_kw_model
    result = method(recs, *args, **kwargs)
  File "/opt/odoo/odoo/addons/point_of_sale/models/pos_order.py", line 469, in create_from_ui
    order_ids.append(self._process_order(order, draft, existing_order))
  File "/opt/odoo/odoo/addons/point_of_sale/models/pos_order.py", line 142, in _process_order
    pos_order._create_order_picking()
  File "/opt/odoo/odoo/addons/point_of_sale/models/pos_order.py", line 484, in _create_order_picking
    pickings = self.env['stock.picking']._create_picking_from_pos_order_lines(destination_id, self.lines, picking_type, self.partner_id)
  File "/opt/odoo/odoo/addons/bi_pos_stock/models/bi_pos_stock.py", line 169, in _create_picking_from_pos_order_lines
    except (UserError, ValidationError):
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/odoo/odoo/odoo/http.py", line 638, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/opt/odoo/odoo/odoo/http.py", line 314, in _handle_exception
    raise exception.with_traceback(None) from new_cause
NameError: name 'UserError' is not defined

Re: Help!!!
by
BrowseInfo
on 2/26/21, 8:41 AM Author

Hello Sir,

Thank you for purchasing Browseinfo app. Please provide your email or contact us via sales@browseinfo.in so our Team can communicate with you and provide you demo easily.

Have nice day 

Regards


Very good
by
Ivan Manolo Carvajal Antiñapa
on 12/8/20, 9:28 PM

Excelent service

Re: Very good
by
BrowseInfo
on 12/8/20, 11:56 PM Author

Thank you for your feedback.


Error!!!
by
Samuel Martin Martin Quispe Valdivia
on 2/23/21, 3:40 PM Confirmed Purchase

Buenas tardes, instale todo correcto sin ningun problema, carga correcto el POS, muestra el stock, pero hay un detalle, al realizar la venta lo realiza normal, el problema es al momento del pago, me arroja el siguiente error (servidor ubuntu linux 20.04 con odoo 14 Community)

Odoo Server Error
Traceback (most recent call last):
  File "/opt/odoo/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/opt/odoo/odoo/odoo/http.py", line 682, in dispatch
    result = self._call_function(**self.params)
  File "/opt/odoo/odoo/odoo/http.py", line 358, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/http.py", line 346, in checked_call
    result = self.endpoint(*a, **kw)
  File "/opt/odoo/odoo/odoo/http.py", line 911, in __call__
    return self.method(*args, **kw)
  File "/opt/odoo/odoo/odoo/http.py", line 530, in response_wrap
    response = f(*args, **kw)
  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1359, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1351, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/opt/odoo/odoo/odoo/api.py", line 392, in call_kw
    result = _call_kw_model(method, model, args, kwargs)
  File "/opt/odoo/odoo/odoo/api.py", line 365, in _call_kw_model
    result = method(recs, *args, **kwargs)
  File "/opt/odoo/odoo/addons/point_of_sale/models/pos_order.py", line 469, in create_from_ui
    order_ids.append(self._process_order(order, draft, existing_order))
  File "/opt/odoo/odoo/addons/point_of_sale/models/pos_order.py", line 142, in _process_order
    pos_order._create_order_picking()
  File "/opt/odoo/odoo/addons/point_of_sale/models/pos_order.py", line 484, in _create_order_picking
    pickings = self.env['stock.picking']._create_picking_from_pos_order_lines(destination_id, self.lines, picking_type, self.partner_id)
  File "/opt/odoo/odoo/addons/bi_pos_stock/models/bi_pos_stock.py", line 169, in _create_picking_from_pos_order_lines
    except (UserError, ValidationError):
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/odoo/odoo/odoo/http.py", line 638, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/opt/odoo/odoo/odoo/http.py", line 314, in _handle_exception
    raise exception.with_traceback(None) from new_cause
NameError: name 'UserError' is not defined


Help me !!!

email: proyectesis2004@gmail.com


Why? System don't load available child
by
Somchart Jabsung
on 1/13/21, 10:31 AM

Hello

       i have issue. Why? systems don't load available location from location child